# QEventLoop Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QEventLoop(QObject parent)

### Constructor Properties

- prototype: The QEventLoop prototype object
- AllEvents = 0x00
- ExcludeUserInputEvents = 0x01
- ExcludeSocketNotifiers = 0x02
- WaitForMoreEvents = 0x04
- X11ExcludeTimers = 0x08
- DeferredDeletion = 0x10
- EventLoopExec = 0x20
- DialogExec = 0x40
- ProcessEventsFlag( value )
- ProcessEventsFlags( value1, value2, ... )

### Prototype Object Properties

The QEventLoop prototype object inherits properties from the QObject prototype object and also has the following properties.

- int exec(ProcessEventsFlags flags)
- void exit(int returnCode)
- bool isRunning()
- bool processEvents(ProcessEventsFlags flags)
- void wakeUp()

### Instance Properties

QEventLoop objects have no special properties beyond those inherited from the QEventLoop prototype object.